Packages - Bug #2206

[arduino]: Null pointer exception after splash screen

2019-02-23 09:50 PM - ani

Status: not-a-bug % Done: 0%
Priority: broken

Assignee:

Category:

Description

This might be related to #2092 since the problems are similar.

Running Parabola GNU/Linux-libre x86_64. | get the following message after typing "arduino" in a terminal in XFCE:

$ arduino
Picked up JAVA_TOOL_OPTIONS:
java.lang.NullPointerException

at processing.app.BaseNoGui.onBoardOrPortChange (BaseNoGui. java:679)

at processing.app.Base.onBoardOrPortChange (Base. java:1312)

at processing.app.Base.<init> (Base.java:282)
at processing.app.Base.main (Base.java:151)

| have the following packages installed on my system:
jre8-openjdk 8.u202-1

arduino 1:1.8.8-1
gtk2 2.24.32-1

Related issues:
Related to Packages - Bug #2092: The arduino-1:1.8.7-1 build fails to start

not-a-bug

History

#1 - 2019-02-24 02:43 AM - bill-auger
- Related to Bug #2092: The arduino-1:1.8.7-1 build fails to start added

#2 - 2019-02-24 02:44 AM - bill-auger
- Status changed from unconfirmed to confirmed

- Description updated

#3 - 2019-02-24 02:47 AM - bill-auger

- Description updated

#4 - 2019-02-24 02:50 AM - bill-auger
arduino 1:1.8.5-1 starts properly

#5 - 2019-02-24 02:54 AM - bill-auger

- Status changed from confirmed to forwarded upstream

arch BR https://bugs.archlinux.org/task/60378
upstream BR https://github.com/arduino/Arduino/issues/8229

#6 - 2019-02-24 07:01 PM - bill-auger

the temporary fix is to install the 'arduino-avr-core' package
$ sudo pacman -S arduino-avr-core

this will probably be a dependency for the next version

#7 - 2019-02-24 08:16 PM - ani
https://labs.parabola.nu/issues/2092
https://github.com/arduino/Arduino/issues/8229

bill-auger

| can start Arduino now that | installed arduino-avr-core.

#8 - 2022-05-08 07:41 PM - Zuss

arduino-avr-core is now listed as an optional dependency. Starts without issues on v1.8.19 running with jre8-openjdk 8.332.u09

#9 - 2022-05-14 12:24 PM - Zuss

- Status changed from forwarded upstream to not-a-bug

Issue has been resolved on the Arch PKGBUILD
